function iplotc(X)
% Iplotc plots a pulse file. The pulses are depicted by circles.
%
% Syntax: Iplotc(X)
%	  X: (N, 3) matrix which contains the pulse sequence
%
%
[m, n] = size(X);
if n ~= 3
    fprintf('Wrong format. Check variable to be plotted\n')
else

    npulses = 0;

    for i = 1:m
    	if X(i,3) ~= 0
	    npulses = npulses + 1;
	    t(npulses) = X(i,1);
	    x(npulses) = X(i,2);
	end
    end

    plot(t, x, 'o');
end

return
