function iplots(X)
% Iplots plots a pulse file. The pulses are plotted in solid lines.
%
% Syntax: Iplots(X)
%	  X: (N, 3) matrix which contains the pulse sequence
%
%
[m, n] = size(X);
if n ~= 3
    fprintf('Wrong format. Check variable to be plotted\n')
else

    npts = 1;
    t(npts) = X(1,1);
    x(npts) = 0;

    for i = 1:m
    	if X(i,3) ~= 0
	    npts = npts + 3;
	    t(npts-2) = X(i,1);
	    t(npts-1) = X(i,1);
	    t(npts) = X(i,1);
	    x(npts-2) = 0;
	    x(npts-1) = X(i,2);
	    x(npts) = 0;
	end
    end

    npts = npts + 1;
    t(npts) = X(i,1);
    x(npts) = 0;

    plot(t, x);
end

return
